\section{Detect and Respond}

\includegraphics[width=\linewidth]{nistcyber}

\subsection{Technical Vulnerability Management}
Technical vulnerability: a hardware, firmware, communication, of software that leaves an information processing system open to potential exploitation either externally or internally, resulting in risk for the system. Technical vulnerability management, or simply vulnerability management, is a security practice specifically designed to proactively mitigate or prevent the exploitation of technical vulnerabilities that exist in a system or an organization.  \\
\includegraphics[width=0.75\linewidth]{vulnerabilitymanagementsteps}
\subsubsection{PLAN}
\includegraphics[width=0.75\linewidth]{plan}
\subsubsection{DISCOVER}
\includegraphics[width=0.75\linewidth]{discover}
\subsubsection{SCAN}
Enterprises need to regularly scan software, systems, and networks for vulnerabilities and proactively address those that are found. The Center for Internet Security (CIS) recommends the following scanning regimen:
\begin{description}
  \item[Run automated vulnerability scanning tools] \hfil \\
  against all systems on the network on a weekly or more frequent basis and deliver a prioritized lists of the most critical vulnerabilities to each responsible system administrator
  \item[Perform vulnerability scanning in authenticated mode] \hfil \\
  either with agents running locally on each end system to analyze the security configuration or with remote scanners that are given administrative rights on the system being tested.
  \item[Compare the results from back-to-bevetnack] \hfil \\
vulnerability scans to verify that vulnerabilities were addressed, either by patching, implementing a compensating control, or documenting and accepting a reasonable business risk.
\end{description}
\subsubsection{LOG and REPORT}
When a vulnerability scan is completed, the organization should log the results so that personnel can verify the activity of the regular vulnerability scanning tools. The reporting process includes keeping track of the number and risk levels of vulnerabilities discovered over time and the effectiveness of remediation efforts in removing vulnerabilities. The CIS Critical Security Controls for Effective Cyber Defense recommends that event logs be correlated with information from vulnerability scans.
\subsubsection{REMEDIATE}
 Remediation means typically perform patch management.  Issues to consider related to performing patch management: Ideally every discovered vulnerability should be patched immediately,  Availability of resources involved in testing need to be taken into account, The impact of a patch on operational systems, Special care should be taken if multiple automated means of patching are used (self-patching software, third-party services, and network-based capability).
\subsection{Security Events vs. Security Incidents}
\textbf{Security event:} An occurrence considered by an organization to have potentialsecurity implications to a system or its environment. Security Security Event events identify suspicious or anomalous activity. Events sometimes provide indications that incident are occurring.  
\textbf{Security Incident:} An occurrence that actually or potentially jeopardizes the confidentiality, integrity, or availability of an information system; or the information the system processes, stores, or transmits; or that constitutes a violation or imminent threat of violation of security policies, security procedures, or acceptable use policies. \\
\includegraphics[width=0.75\linewidth]{events}
\subsection{Security Event Management}
Sources of Security Events: Server and workstation logs, applications logs, security tool logs, outbound proxy logs.
\subsubsection{Analyze and generate Alerts}
\includegraphics[width=0.75\linewidth]{analyzeandalert} \\
\includegraphics[width=0.75\linewidth]{BPSM}
\subsection{Thread intelligence and Benefits}
 Threat intelligence is the knowledge established as a result of analysing information about potential or current attacks that threaten an organization.
 
\includegraphics[width=0.75\linewidth]{threahtintelligence}

\subsubsection{Sources for Threat intelligence}
External Sources: Subscribe to a regular feed of threat data from a threat intelligence subscription service, Cyberintelligence vendors whose services can be employed, Many of the sources of vulnerability information, such as CERTs, are useful sources of threat intelligence, Information sharing and analysis centers.\\
Internal Sources: Event logs from technical infrastructure, such as operating system logs, Alerts from security systems such as firewalls, malware protection, DLP, network-based intrusion CySec Detect \& Respond, 25.05.2020 detection systems (NIDSs), gateway proxy servers, and physical security systems, Direct feeds from security event management utilities, such as those produced by security event logging software or a security information and event management (SIEM) system, Dedicated teams that perform information security–related activities,  Business support functions.  
\subsubsection{Threat analysis}
Threat analysis includes the task of describing the type of possible attacks, potential attackers, and their methods of attack and the consequences of successful attacks.  It involves the following:  Identifying the vulnerabilities of the system, Analyzing the likelihood of threats aimed at exploiting these vulnerabilities,  Assessing the consequences that would occur if each threat were to be successfully carried out, Estimating the cost of each attack, Costing out potential countermeasures, Selecting the security mechanisms that are justified (possibly by using cost/ benefit analysis).
\subsection{Dealing with the Cyber Attack Kill Chain}
\includegraphics[width=0.75\linewidth]{cyberattackkillchain}
\subsubsection{Dealing with the Reconnaissance Phase}
A number of techniques can be used to detect reconnaissance attempts: For websites, web analytics can detect behavior that is more in line with an attacker than a benign user,  For any type of traffic, scanning the source IP addresses for those with known bad reputations is fruitful,  Multiple events occurring from the same address in a small time frame may indicate a reconnaissance effort. \\
Prevention methods include: Use of firewalls, Whitelistening, Segmenting enterprise networks. 
\subsubsection{Dealing with the Weaponizaiton Phase}
Weaponization is a process that occurs at the attacker site and thus cannot be detected by the target. Rapid patching and updating in addition to a regular routine of vulnerability fixing can thwart a weaponization effort by eliminating the vulnerability before it is exploited. This highlights the necessity of obtaining and acting on threat intelligence in a timely manner.
\subsubsection{Dealing with the Delivery Phase}
Key to prevent delivery is to maintain a robust security training and awareness program so that social engineering efforts are more likely to fail. Technical tools used to prevent delivery: Antivirus software, firewalls, Web application Firewall (WAF), Intrusion prevention System (IPS).
\subsubsection{Dealing with the Exploit Phase}
Countermeasures at the exploit stage include the following: Host-baes intrusion detection systems (HIDS), Regular Patching, Data restoration from backups.
\subsubsection{Dealing with the installation Phase}
Tools that detect suspicious software or behavior such as antivirus software and HIDS, are appropriate at the installation stage.  
\subsubsection{Dealing with the Command and Control Phase}
Co untermeasures at the command \& control stage include the following: Network-based intrusion detection systems (NIDS), Firewall.
\subsubsection{Dealing with the Actions Phase}
If an attack gets to the stage of ongoing advanced attacks, a critical aspect of security is a backup policy. An organization should regularly back up all critical data and systems; test, document, and update system recovery procedures; and, during a system compromise, capture evidence carefully and document all recovery steps as well as all evidentiary data collected.
\subsection{Security Incident Management Process}
\includegraphics[width=0.75\linewidth]{SIMP}
\subsubsection{PREPARE}
Develop an organisation-specific definition of the term incident so that the scope of the term is clear. Create an incident response policy (WHO-WHEN-WHAT). Develop incident response and reporting procedures (INTERNAL \& EXTERNAL). Establish guidelines for communicating with external parties (PLAYBOOKS). Define the services that will be provided by the Incident Response Team (IRT).  Select an organizational structure and staffing model for incident response.  Staff and train the IRT. Establish and maintain accurate notification mechanisms. Develop written guidelines for prioritizing incidents. Have a plan for the collection, formatting, organization, storage, and retention of incident data.
\subsubsection{ANALYSE}
Once detected: Magnitude, Severity, Urgency. 
The analysis also needs to determine whether immediate action is needed to remove the vulnerability or to block the action that enabled the incident to occur.
\subsubsection{CONTAINMENT}
\includegraphics[width=0.75\linewidth]{SIMPCON}
\subsubsection{RECOVERY}
During recovery, IT personnel restore systems to normal operation to the extent possible and, if applicable, harden systems to prevent similar incidents.   
Possible actions include the following: Restoring systems with clean versions from the latest backup, Rebuilding systems from scratch, Replacing compromised files with clean versions,  Installing patches, Changing Passwords, Tightening network perimeter security.
\subsubsection{Checklist}
\includegraphics[width=\linewidth]{SIMPCHE.png}
\subsection{Digital Forensics}
NIST SP 800-96, Guide to Integrating Forensic Techniques into Incident Response, defines computer forensics, or digital forensics, as: “the identification, collection, examination, and analysis of data while preserving the integrity of the information and maintaining a strict chain of custody for the data”. \\
\includegraphics[width=0.75\linewidth]{digfor} \\
\includegraphics[width=0.5\linewidth]{yellowredbluepurple} \\
\includegraphics[width=0.75\linewidth]{SIMPBP}
